# .cnb/web_trigger.yml
branch:
  # 如下按钮在分支名以 release 开头的分支详情页面显示
  - reg: "^main"
    buttons:
      - name: 同步代码到gitea
        description: 同步代码到gitea
        event: web_trigger_sync_to_gitea
      - name: 同步gitea代码到当前仓库
        description: 同步gitea代码到当前仓库
        event: web_trigger_sync_from_gitea
      - name: 部署kubectl
        description: 部署kubectl
        event: web_trigger_deploy_kubectl
      - name: 构建镜像
        description: 构建镜像
        event: web_trigger_build